Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.joinpoint
Class InvocationResponse

    java.lang.Object
      org.jboss.aop.joinpoint.InvocationResponse

All Implemented Interfaces:
  Externalizable, Serializable

public class InvocationResponse
extends Object
implements Externalizable

Allows interceptors to communicate information back down the chain

Version:
  $Revision: 1.5 $ Revisions:

  Revisions:

Author:
  Bill Burke
See Also:
  , Serialized Form

Field Summary
`protected Map` | `contextInfo`
`protected Object` | `response`

Constructor Summary
`InvocationResponse()`
`InvocationResponse(Object obj)`

Method Summary
`void` | `addAttachment(Object key, Object val)`
`Object` | `getAttachment(Object key)`
`Map` | `getContextInfo()`
`Object` | `getResponse()`
`void` | `readExternal(ObjectInput in)`
`void` | `setContextInfo(Map contextInfo)`
`void` | `setResponse(Object obj)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contextInfo

    protected Map contextInfo

### response

    protected Object response

Constructor Detail

### InvocationResponse

    public InvocationResponse()

### InvocationResponse

    public InvocationResponse(Object obj)

Method Detail

### getContextInfo

    public Map getContextInfo()

### setContextInfo

    public void setContextInfo(Map contextInfo)

### getResponse

    public Object getResponse()

### setResponse

    public void setResponse(Object obj)

### addAttachment

    public void addAttachment(Object key,
                              Object val)

### getAttachment

    public Object getAttachment(Object key)

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.